## gophian 0.5.0

=== man/Makefile ===
#!/usr/bin/env make

man: $(basename $(wildcard *.1.scd))

clean:
	rm -f ./*.1

%.1: %.1.scd
	scdoc < $< > $@

## gophian 0.3.0

=== debian/changelog ===
gophian (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0.

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 08 Jul 2024 17:46:17 +0800

gophian (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0.
  * d/control: Add runtime dependencies to Depends
  * d/control: Enable Python autopkgtest

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 29 Jun 2024 06:34:47 +0800

gophian (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1.
  * Fix completions generation
  * d/watch: Only detect releases, not debian/* tags

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 23 Jun 2024 15:21:58 +0800

gophian (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1072745)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 08 Jun 2024 12:26:57 +0800

=== debian/control ===
Source: gophian
Section: devel
Priority: optional
Maintainer: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 scdoc,
 python3,
 python3-setuptools,
 python3-jinja2,
 python3-click,
 python3-debian,
 python3-debianbts,
 python3-graphviz,
 python3-looseversion,
 python3-questionary,
 python3-requests,
 python3-requests-cache,
 python3-treelib,
Standards-Version: 4.7.0
Homepage: https://codeberg.org/Maytha8/gophian
Vcs-Browser: https://codeberg.org/Maytha8/gophian
Vcs-Git: https://codeberg.org/Maytha8/gophian.git -b debian/latest

Package: gophian
Architecture: all
Depends:
 git,
 golang-any,
 git-buildpackage,
 ${python3:Depends},
 ${misc:Depends},
Recommends:
 python3-graphviz,
Description: tools to help with Debianizing Go software
 Gophian is a featureful and intelligent tool to assist developers in packaging
 Go software for the Debian distribution.
 .
 The currently recommended dh-make-golang tool is known to be unreliable and
 relies on various outdated and deprecated libraries to function. gophian seeks
 to change that, by replicating the functionality of "go get" in Python, and
 providing something that works out of the box, as well as adding on more
 features and more intelligence to improve the Go packaging experience.
 .
 This package installs the Gophian program.

## gophian 0.4.0

=== debian/changelog ===
gophian (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0.

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 08 Jan 2025 20:47:04 +0800

## gophian 0.5.0

=== debian/changelog ===
gophian (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Update my maintenance email
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Maytham Alsudany <maytham@debian.org>  Wed, 05 Mar 2025 15:48:51 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gophian
 Section: devel
 Priority: optional
-Maintainer: Maytham Alsudany <maytha8thedev@gmail.com>
+Maintainer: Maytham Alsudany <maytham@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -20,7 +20,7 @@
  python3-requests,
  python3-requests-cache,
  python3-treelib,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://codeberg.org/Maytha8/gophian
 Vcs-Browser: https://codeberg.org/Maytha8/gophian
 Vcs-Git: https://codeberg.org/Maytha8/gophian.git -b debian/latest

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gophian

define BASH_COMPLETIONS_SCRIPT
from click.shell_completion import shell_complete;
from gophian.cli import cli;
shell_complete(cli, None, "gophian", "_GOPHIAN_COMPLETE", "bash_source");
endef

define FISH_COMPLETIONS_SCRIPT
from click.shell_completion import shell_complete;
from gophian.cli import cli;
shell_complete(cli, None, "gophian", "_GOPHIAN_COMPLETE", "fish_source");
endef

define ZSH_COMPLETIONS_SCRIPT
from click.shell_completion import shell_complete;
from gophian.cli import cli;
shell_complete(cli, None, "gophian", "_GOPHIAN_COMPLETE", "zsh_source");
endef

export BASH_COMPLETIONS_SCRIPT
export FISH_COMPLETIONS_SCRIPT
export ZSH_COMPLETIONS_SCRIPT

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	$(MAKE) -C man clean

execute_after_dh_auto_build:
	$(MAKE) -C man

execute_after_dh_auto_install:
	mkdir -p debian/gophian/usr/share/bash-completion/completions/
	PYTHON_PATH=$(CURDIR) python3 -c "$$BASH_COMPLETIONS_SCRIPT" > debian/gophian/usr/share/bash-completion/completions/gophian
	mkdir -p debian/gophian/usr/share/fish/vendor_completions.d/
	PYTHON_PATH=$(CURDIR) python3 -c "$$FISH_COMPLETIONS_SCRIPT" > debian/gophian/usr/share/fish/vendor_completions.d/gophian.fish
	mkdir -p debian/gophian/usr/share/zsh/vendor-completions/
	PYTHON_PATH=$(CURDIR) python3 -c "$$ZSH_COMPLETIONS_SCRIPT" > debian/gophian/usr/share/zsh/vendor-completions/_gophian

## gophian 0.6.0

=== debian/changelog ===
gophian (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Update dependencies
  * Update package description
  * Ignore gophian/session/ignore.txt in lintian-overrides

 -- Maytham Alsudany <maytham@debian.org>  Sun, 13 Jul 2025 17:39:10 +0800

## gophian 0.6.1

=== debian/changelog ===
gophian (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Maytham Alsudany <maytham@debian.org>  Thu, 17 Jul 2025 22:06:51 +0800

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-requests,
  python3-requests-cache,
  python3-treelib,
+ python3-bs4,
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/Maytha8/gophian
 Vcs-Browser: https://codeberg.org/Maytha8/gophian
@@ -37,12 +38,7 @@
  python3-graphviz,
 Description: tools to help with Debianizing Go software
  Gophian is a featureful and intelligent tool to assist developers in packaging
- Go software for the Debian distribution.
- .
- The currently recommended dh-make-golang tool is known to be unreliable and
- relies on various outdated and deprecated libraries to function. gophian seeks
- to change that, by replicating the functionality of "go get" in Python, and
- providing something that works out of the box, as well as adding on more
- features and more intelligence to improve the Go packaging experience.
+ Go software for the Debian distribution. It is intended as a replacement for
+ dh-make-golang.
  .
  This package installs the Gophian program.

=== debian/tests/control ===
Test-Command: pybuild-autopkgtest
Depends: @, pybuild-plugin-autopkgtest, @builddeps@,
Restrictions: allow-stderr, skippable,
Features: test-name=pybuild-autopkgtest

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://codeberg.org/Maytha8/gophian/tags \
    (?:.*?/)v?(\d[\d\.]*)@ARCHIVE_EXT@

## gophian 0.7.0

=== debian/changelog ===
gophian (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Update my maintenance email in d/copyright
  * Remove python3-debianbts from dependencies

 -- Maytham Alsudany <maytham@debian.org>  Thu, 25 Dec 2025 12:30:01 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-jinja2,
  python3-click,
  python3-debian,
- python3-debianbts,
  python3-graphviz,
  python3-looseversion,
  python3-questionary,
